function PlayerEquipment:use_doctor_bag()
	local ray = self:valid_shape_placement("doctor_bag")

	if ray then
		local pos = ray.position
		local rot = self._unit:movement():m_head_rot()
		rot = Rotation(rot:yaw(), 0, 0)

		PlayerStandard.say_line(self, "s02x_plu")

		if managers.blackmarket:equipped_mask().mask_id == tweak_data.achievement.no_we_cant.mask then
			managers.achievment:award_progress(tweak_data.achievement.no_we_cant.stat)
		end

		managers.mission:call_global_event("player_deploy_doctorbag")
		managers.statistics:use_doctor_bag()

		local upgrade_lvl = managers.player:upgrade_level("first_aid_kit", "damage_reduction_upgrade")
		local amount_upgrade_lvl = managers.player:upgrade_level("doctor_bag", "amount_increase")
		upgrade_lvl = math.clamp(upgrade_lvl, 0, 2)
		amount_upgrade_lvl = math.clamp(amount_upgrade_lvl, 0, 2)
		local bits = Bitwise:lshift(upgrade_lvl, DoctorBagBase.damage_reduce_lvl_shift) + Bitwise:lshift(amount_upgrade_lvl, DoctorBagBase.amount_upgrade_lvl_shift)

		if Network:is_client() then
			managers.network:session():send_to_host("place_deployable_bag", "DoctorBagBase", pos, rot, bits)
		else
			local unit = DoctorBagBase.spawn(pos, rot, bits, managers.network:session():local_peer():id())
			
			local this = unit:base()
			MedicMain.doc_bag_uses = MedicMain.doc_bag_uses or 0
			--amount_left = (2 + (2 * amount_upgrade_lvl)) - MedicMain.doc_bag_uses
			this:sync_taken(MedicMain.doc_bag_uses)--set docbag uses locally, both cosmetically and practically
			--this._amount = this._amount - MedicMain.doc_bag_uses --old method for setting uses locally; turns out there's a function for that. whoops
			if MedicMain.doc_bag_uses > 0 then --should actually work fine syncing 0 uses
				managers.network:session():send_to_peers_synched("sync_doctor_bag_taken", this._unit, MedicMain.doc_bag_uses)
			end
			MedicMain.doc_bag_uses = 0 --reset "charges consumed by direct heal" for next time
--			log("MedicMain: Removed " .. tostring(MedicMain.doc_bag_uses) .. " uses from placed doc bag)			
		end

		return true
	end

	return false
end

--i should use a posthook
